'ESP8266 HowTo - Get Temperature and Humidity from DHT11 sensor using a timer and send the data in JSON format via UDP
'Connection:
'DHT11 ---- ESP8266
'GND ------ GND
'VCC ------ 3.3v
'Signal --- D4
'2016.04.17 by rwblinn.de

'Set the sensor model (DHT11) and pin (D4)
dht.setup(11, D4)

print "ESP8266 HowTo - Get Temperature and Humidity from DHT11 sensor"

'Start the timer every 10 seconds and run branch getdata
timer 10000, [getdata]
wait

'Branch getdata
[getdata]

'Get the temperature in celsius
celsius = dht.temp()
'print "Temperature " & celsius & "C"

'Get the humidity
humidity = dht.hum()
'print "Humidity " & humidity & "%"

'Send the data in JSON Format to the UDP client listening to port 3661
data$ =         |{|
data$ = data$ & |"temperature":|
data$ = data$ & celsius
data$ = data$ & |,|
data$ = data$ & |"humidity":|
data$ = data$ & humidity
data$ = data$ & |}|
'print data$

udpwrite "192.168.0.4", 3661, data$

wait
